package repository

import (
	"errors"
)

var (
	ErrNotFound error = errors.New("Todo cannot be found")
)

type TodoRow struct {
	Id int64
	Name string
	Done bool
}

func NewTodoDbModel(name string, done bool) *TodoRow {
	return &TodoRow{Name: name, Done: done}
}

type TodoRepository interface {
	Create(todo TodoRow) (TodoRow, error)
	GetById(id int64) (TodoRow, error)
	Update(todo TodoRow) error
	Delete(id int64) error
}
